com.salesforce.hyperdb.grpc

## Class QueryStatus.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>
      - - com.salesforce.hyperdb.grpc.QueryStatus.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryStatusOrBuilder, Cloneable

Enclosing class:
  QueryStatus

    public static final class QueryStatus.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>
    implements QueryStatusOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryStatus`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryStatus.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryStatus` `build()`
`QueryStatus` `buildPartial()`
`QueryStatus.Builder` `clear()`
`QueryStatus.Builder` `clearChunkCount()` `uint64 chunk_count = 3;`
`QueryStatus.Builder` `clearCompletionStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`QueryStatus.Builder` `clearExpirationTime()` `.google.protobuf.Timestamp expiration_time = 6;`
`QueryStatus.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryStatus.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryStatus.Builder` `clearProgress()` `double progress = 5;`
`QueryStatus.Builder` `clearQueryId()` `string query_id = 1;`
`QueryStatus.Builder` `clearRowCount()` `uint64 row_count = 4;`
`QueryStatus.Builder` `clone()`
`long` `getChunkCount()` `uint64 chunk_count = 3;`
`QueryStatus.CompletionStatus` `getCompletionStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`int` `getCompletionStatusValue()` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`QueryStatus` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.Timestamp` `getExpirationTime()` `.google.protobuf.Timestamp expiration_time = 6;`
`com.google.protobuf.Timestamp.Builder` `getExpirationTimeBuilder()` `.google.protobuf.Timestamp expiration_time = 6;`
`com.google.protobuf.TimestampOrBuilder` `getExpirationTimeOrBuilder()` `.google.protobuf.Timestamp expiration_time = 6;`
`double` `getProgress()` `double progress = 5;`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`long` `getRowCount()` `uint64 row_count = 4;`
`boolean` `hasExpirationTime()` `.google.protobuf.Timestamp expiration_time = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryStatus.Builder` `mergeExpirationTime(com.google.protobuf.Timestamp value)` `.google.protobuf.Timestamp expiration_time = 6;`
`QueryStatus.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryStatus.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryStatus.Builder` `mergeFrom(QueryStatus other)`
`QueryStatus.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryStatus.Builder` `setChunkCount(long value)` `uint64 chunk_count = 3;`
`QueryStatus.Builder` `setCompletionStatus(QueryStatus.CompletionStatus value)` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`QueryStatus.Builder` `setCompletionStatusValue(int value)` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`QueryStatus.Builder` `setExpirationTime(com.google.protobuf.Timestamp.Builder builderForValue)` `.google.protobuf.Timestamp expiration_time = 6;`
`QueryStatus.Builder` `setExpirationTime(com.google.protobuf.Timestamp value)` `.google.protobuf.Timestamp expiration_time = 6;`
`QueryStatus.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryStatus.Builder` `setProgress(double value)` `double progress = 5;`
`QueryStatus.Builder` `setQueryId(String value)` `string query_id = 1;`
`QueryStatus.Builder` `setQueryIdBytes(com.google.protobuf.ByteString value)` `string query_id = 1;`
`QueryStatus.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryStatus.Builder` `setRowCount(long value)` `uint64 row_count = 4;`
`QueryStatus.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### clear

    public QueryStatus.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### getDefaultInstanceForType

    public QueryStatus getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryStatus build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryStatus buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryStatus.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### setField

    public QueryStatus.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### clearField

    public QueryStatus.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### clearOneof

    public QueryStatus.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### setRepeatedField

    public QueryStatus.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                int index,
                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### addRepeatedField

    public QueryStatus.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### mergeFrom

    public QueryStatus.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryStatus.Builder>`

#### mergeFrom

    public QueryStatus.Builder mergeFrom(QueryStatus other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### mergeFrom

    public QueryStatus.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryStatus.Builder>`
Throws:
  `IOException`

#### getQueryId

    public String getQueryId()

`string query_id = 1;`

Specified by:
  `getQueryId` in interface `QueryStatusOrBuilder`
Returns:
  The queryId.

#### getQueryIdBytes

    public com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `QueryStatusOrBuilder`
Returns:
  The bytes for queryId.

#### setQueryId

    public QueryStatus.Builder setQueryId(String value)

`string query_id = 1;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

#### clearQueryId

    public QueryStatus.Builder clearQueryId()

`string query_id = 1;`

Returns:
  This builder for chaining.

#### setQueryIdBytes

    public QueryStatus.Builder setQueryIdBytes(com.google.protobuf.ByteString value)

`string query_id = 1;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.

#### getCompletionStatusValue

    public int getCompletionStatusValue()

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Specified by:
  `getCompletionStatusValue` in interface `QueryStatusOrBuilder`
Returns:
  The enum numeric value on the wire for completionStatus.

#### setCompletionStatusValue

    public QueryStatus.Builder setCompletionStatusValue(int value)

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Parameters:
  `value` - The enum numeric value on the wire for completionStatus to set.
Returns:
  This builder for chaining.

#### getCompletionStatus

    public QueryStatus.CompletionStatus getCompletionStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Specified by:
  `getCompletionStatus` in interface `QueryStatusOrBuilder`
Returns:
  The completionStatus.

#### setCompletionStatus

    public QueryStatus.Builder setCompletionStatus(QueryStatus.CompletionStatus value)

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Parameters:
  `value` - The completionStatus to set.
Returns:
  This builder for chaining.

#### clearCompletionStatus

    public QueryStatus.Builder clearCompletionStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Returns:
  This builder for chaining.

#### getChunkCount

    public long getChunkCount()

`uint64 chunk_count = 3;`

Specified by:
  `getChunkCount` in interface `QueryStatusOrBuilder`
Returns:
  The chunkCount.

#### setChunkCount

    public QueryStatus.Builder setChunkCount(long value)

`uint64 chunk_count = 3;`

Parameters:
  `value` - The chunkCount to set.
Returns:
  This builder for chaining.

#### clearChunkCount

    public QueryStatus.Builder clearChunkCount()

`uint64 chunk_count = 3;`

Returns:
  This builder for chaining.

#### getRowCount

    public long getRowCount()

`uint64 row_count = 4;`

Specified by:
  `getRowCount` in interface `QueryStatusOrBuilder`
Returns:
  The rowCount.

#### setRowCount

    public QueryStatus.Builder setRowCount(long value)

`uint64 row_count = 4;`

Parameters:
  `value` - The rowCount to set.
Returns:
  This builder for chaining.

#### clearRowCount

    public QueryStatus.Builder clearRowCount()

`uint64 row_count = 4;`

Returns:
  This builder for chaining.

#### getProgress

    public double getProgress()

`double progress = 5;`

Specified by:
  `getProgress` in interface `QueryStatusOrBuilder`
Returns:
  The progress.

#### setProgress

    public QueryStatus.Builder setProgress(double value)

`double progress = 5;`

Parameters:
  `value` - The progress to set.
Returns:
  This builder for chaining.

#### clearProgress

    public QueryStatus.Builder clearProgress()

`double progress = 5;`

Returns:
  This builder for chaining.

#### hasExpirationTime

    public boolean hasExpirationTime()

`.google.protobuf.Timestamp expiration_time = 6;`

Specified by:
  `hasExpirationTime` in interface `QueryStatusOrBuilder`
Returns:
  Whether the expirationTime field is set.

#### getExpirationTime

    public com.google.protobuf.Timestamp getExpirationTime()

`.google.protobuf.Timestamp expiration_time = 6;`

Specified by:
  `getExpirationTime` in interface `QueryStatusOrBuilder`
Returns:
  The expirationTime.

#### setExpirationTime

    public QueryStatus.Builder setExpirationTime(com.google.protobuf.Timestamp value)

`.google.protobuf.Timestamp expiration_time = 6;`

#### setExpirationTime

    public QueryStatus.Builder setExpirationTime(com.google.protobuf.Timestamp.Builder builderForValue)

`.google.protobuf.Timestamp expiration_time = 6;`

#### mergeExpirationTime

    public QueryStatus.Builder mergeExpirationTime(com.google.protobuf.Timestamp value)

`.google.protobuf.Timestamp expiration_time = 6;`

#### clearExpirationTime

    public QueryStatus.Builder clearExpirationTime()

`.google.protobuf.Timestamp expiration_time = 6;`

#### getExpirationTimeBuilder

    public com.google.protobuf.Timestamp.Builder getExpirationTimeBuilder()

`.google.protobuf.Timestamp expiration_time = 6;`

#### getExpirationTimeOrBuilder

    public com.google.protobuf.TimestampOrBuilder getExpirationTimeOrBuilder()

`.google.protobuf.Timestamp expiration_time = 6;`

Specified by:
  `getExpirationTimeOrBuilder` in interface `QueryStatusOrBuilder`

#### setUnknownFields

    public final QueryStatus.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`

#### mergeUnknownFields

    public final QueryStatus.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryStatus.Builder>`